org.h2.api

## Class TimestampWithTimeZone

- java.lang.Object
- - java.util.Date
  - - java.sql.Timestamp
    - - org.h2.api.TimestampWithTimeZone

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<java.util.Date>

    public class TimestampWithTimeZone
    extends java.sql.Timestamp

Extends java.sql.Timestamp to add our time zone information.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TimestampWithTimeZone(long timeMillis, int nanos, short timeZoneOffsetMins)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)`
`short` `getTimeZoneOffsetMins()` The timezone offset in minutes.
`int` `hashCode()`

### Methods inherited from class java.sql.Timestamp

`after, before, compareTo, compareTo, equals, getNanos, getTime, setNanos, setTime, toString, valueOf`

### Methods inherited from class java.util.Date

`after, before, clone, getDate, getDay, getHours, getMinutes, getMonth, getSeconds, getTimezoneOffset, getYear, parse, setDate, setHours, setMinutes, setMonth, setSeconds, setYear, toGMTString, toLocaleString, UTC`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TimestampWithTimeZone

    public TimestampWithTimeZone(long timeMillis,
                         int nanos,
                         short timeZoneOffsetMins)

### Method Detail

#### getTimeZoneOffsetMins

    public short getTimeZoneOffsetMins()

The timezone offset in minutes.

Returns:
  the offset

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.sql.Timestamp`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.sql.Timestamp`